View Issue Details

IDProjectCategoryView StatusLast Update
0000893DraftBugpublic2017-03-27 08:30
Reportermore10Assigned Toyorik 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.14 
Summary0000893: Fail to upgrade wire to face in drafting module
DescriptionIn draft module the working plane is set to a surface not aligned to any axis.

Four lines are constructed using snap when possible. The lines are sucessfully upgraded to a wire (Found several edges: wiring them). The wire however cannot be upgraded to a face (One wire is not planar, upgrade not done).

Additional InformationRevision 1694 on a 32 bit ubuntu 12.04 running in vmware workstation 8.0.5
TagsNo tags attached.

Relationships

parent of 0000891 closedyorik Snap to intersection doesn't work in draft module 
parent of 0000921 closedyorik Upgrading wire to face deletes object 

Activities

yorik

2012-11-28 23:45

administrator   ~0002592

Apparently the message says the cause of the problem... The vertices of the wire are not on a same plane, so the wire cannot be turned into a face. If you think this is wrong, and all the vertices are on the same plane, please upload the file so I can check what is wrong...

more10

2012-11-29 00:00

reporter   ~0002595

Well all vertices are constructed on a set working plane in draft module. So they should be on the same plane. Ill see if I can reproduce the problem in a macro.

2012-11-29 00:16

 

bug.fcstd (25,858 bytes)

more10

2012-11-29 00:22

reporter   ~0002596

Uploaded drawing file. It has a wire constructed as below.

In order to reproduce:

"Set to rear view". Choose "Draft". Mark face of "Baffle". Set working plane. Create the 4 vertices. Upgrade, upgrade.

yorik

2012-11-29 20:17

administrator   ~0002602

Hm there is indeed some problem, probably related to precision... OCC doesn't consider the wire planar, so it cannot make a face. I'll investigate...

yorik

2013-10-18 19:21

administrator   ~0003769

Fixed in e18fb98
Used another more robust method for creating faces

Related Changesets

FreeCAD: master e18fb989

2013-10-18 23:20:13

Yorik van Havre

Details Diff
0000893: Draft upgrade Affected Issues
0000893
mod - src/Mod/Draft/Draft.py Diff File

Issue History

Date Modified Username Field Change
2012-11-28 22:38 more10 New Issue
2012-11-28 23:45 yorik Note Added: 0002592
2012-11-28 23:45 yorik Status new => assigned
2012-11-28 23:45 yorik Assigned To => yorik
2012-11-28 23:49 yorik Status assigned => feedback
2012-11-29 00:00 more10 Note Added: 0002595
2012-11-29 00:16 more10 File Added: bug.fcstd
2012-11-29 00:22 more10 Note Added: 0002596
2012-11-29 20:16 yorik Relationship added parent of 0000891
2012-11-29 20:16 yorik Status feedback => assigned
2012-11-29 20:17 yorik Note Added: 0002602
2012-12-05 13:50 yorik Project FreeCAD => Draft
2012-12-20 22:27 yorik Severity major => minor
2013-02-04 19:22 yorik Relationship added parent of 0000921
2013-10-18 19:21 yorik Note Added: 0003769
2013-10-18 19:21 yorik Status assigned => closed
2013-10-18 19:21 yorik Resolution open => fixed
2013-10-18 19:21 yorik Fixed in Version => 0.14
2017-03-27 08:30 Kunda1 Changeset attached => FreeCAD master e18fb989